# RPM specfile for bitstream-vera-fonts module
# Generated Tue Nov 18 19:07:20 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.4 2003/07/08 19:42:08 mibarra Exp $

%define nam	bitstream-vera-fonts
%define ver	1.10
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	4

Name:     	bitstream-vera-fonts
Version: 	1.10
Release:	0.ximian.6.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	Bitstream Vera Fonts Copyright
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

BuildArch:      noarch
URL:		http://www.gnome.org/fonts/
Source0:	ttf-bitstream-vera-1.10.tar.bz2
Summary:	Bitstream Vera fonts
Group:		User Interface/X
Provides:	ximian-bitstream-vera-fonts = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
New Gnome fonts

%files
%defattr(-, root, root)
%license %{licensedir}/COPYRIGHT.TXT
/usr/share/fonts/default/TrueType/*


%post
{
ttmkfdir -d /usr/share/fonts/default/TrueType -o /usr/share/fonts/default/TrueType/fonts.scale
umask 133; /usr/X11R6/bin/mkfontdir /usr/share/fonts/default/TrueType
umask 133; which fc-cache &>/dev/null && fc-cache -f /usr/share/fonts
/usr/sbin/chkfontpath -a /usr/share/fonts/default/TrueType/ || :
/sbin/service xfs reload
} &>/dev/null || :

%postun
{
if [ "$1" = "0" ]; then
ttmkfdir -d /usr/share/fonts/default/TrueType -o /usr/share/fonts/default/TrueType/fonts.scale
umask 133; /usr/X11R6/bin/mkfontdir /usr/share/fonts/default/TrueType
umask 133; which fc-cache &>/dev/null && fc-cache -f /usr/share/fonts
/sbin/service xfs reload
fi
} &>/dev/null || :

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n ttf-bitstream-vera-1.10
    ;;
all)
%setup  -q -n ttf-bitstream-vera-1.10
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    true
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    true
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    mkdir -p ${DESTDIR}/usr/share/fonts/default/TrueType; cp *.ttf ${DESTDIR}/usr/share/fonts/default/TrueType/
    mkdir -p $DESTDIR/%licensedir
    cp COPYRIGHT.TXT $DESTDIR/%licensedir/.
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Nov 18 2003 Ximian, Inc.

- Version: 1.10-0.ximian.6.4
- Summary: New build.
- New automated build.

